Page MenuHomePhabricator

Creation of a short term plan to improve outreach and increase retention
Closed, ResolvedPublic

Description

This task is part of a team goal committed for Developer-Relations (Oct-Dec 2017).

Creation of a short term plan to improve outreach and increase retention. Experiment with the first steps of this plan on Outreachy Round 15, Google Code-in 2017, and existing newcomers.

Event Timeline

Qgil added a project: Goal.Oct 4 2017, 7:57 AM
Qgil moved this task from Backlog to Ready to Go on the Developer-Advocacy (Oct-Dec 2017) board.
Elitre added a subscriber: Elitre.Oct 10 2017, 8:17 AM

I tend to welcome (on their talk pages) newcomers who ask questions on feedback pages I watch on mw.org. Have you considered doing the same, and/or making a customised welcome message to guide these people toward resources of your choice?

Also, when is it that you start interacting with these people (if at all)? After first submission? After 3, or 10? Focus of these questions, including the ones above, are obviously not people coming from specific programs.

srishakatux raised the priority of this task from Normal to High.Jan 2 2018, 9:44 PM
srishakatux moved this task from Oct-Dec 2017 to Jan-Mar-2018 on the Developer-Advocacy board.
srishakatux closed this task as Resolved.Mar 26 2018, 5:50 PM

Some of the ideas/ discussion points highlighted in this short-term plan were highlighted/ used in the framing of the "Onboarding new developers" annual program for fiscal year 2018/19. Resolving this task for now!